# Часто задаваемые вопросы (FAQs)

<details>

<summary>Есть ли сетевые запросы при использовании режима только для локальной работы?</summary>

Мы можем гарантировать, что в Anytype Network не будет никаких сетевых запросов, однако наша телеметрия всё ещё может отправлять запросы (в будущем можно будет отключить). Кроме того, клиент по-прежнему должен отправлять запросы для корректной работы некоторых функций (встраивание блоков, получение закладок и т.д.).

</details>

<details>

<summary>Что делать, если меня просят ввести ключ / фразу восстановления каждый раз при входе на Linux?</summary>

Пользователи Linux могут сталкиваться с запросом ключа при каждом входе. Чтобы решить эту проблему, установите систему управления ключами. Самая популярная — [GNOME Keyring](https://wiki.gnome.org/action/show/Projects/GnomeKeyring?action=show\&redirect=GnomeKeyring). Кроме того, убедитесь, что вы выполнили все [зависимости](https://github.com/anyproto/anytype-ts#dependencies) заранее.

</details>

<details>

<summary>Почему нет браузерной версии Anytype?</summary>

Браузерной версии приложения не существует. Anytype — это автономное ПО, которое работает на настольных и мобильных устройствах. Браузерные приложения имеют много уязвимых мест, которые могли бы нарушить нашу приверженность безопасности данных и шифрованию.

</details>

<details>

<summary>Почему не поддерживается RTL?</summary>

RTL (поддержка текста справа налево) в настоящее время поддерживается частично, но у нас есть планы на полную поддержку в будущем.

</details>

<details>

<summary>Что случилось со старой домашней страницей?</summary>

<img src="../../.gitbook/assets/w=3840,quality=80 (1).webp" alt="" data-size="original">

Домашняя страница из альфа-версии была удалена и заменена новой боковой панелью и виджетами. Если вам нравился этот макет, вы можете попытаться воссоздать его с помощью набора с галерейным видом.

</details>

<details>

<summary>Могу ли я использовать два отдельных хранилища (Vault) одновременно?</summary>

Вот настройка, которая работает только на настольной версии: нужно создать отдельный ярлык для другого хранилища и добавить флаг `--user-data-dir="$path"` в команду запуска (например, `--user-data-dir="D:\Anytype"`).

</details>

<details>

<summary>Где я могу найти сочетания клавиш?</summary>

Вы можете посмотреть все сочетания клавиш в приложении, нажав на `? > Сочетания клавиш` в правом нижнем углу приложения.

</details>

<details>

<summary>Могу ли я установить Anytype на Chromebook?</summary>

Есть несколько способов установки Anytype на Chromebook, но, вероятно, самый простой — использовать [AppImage](https://download.anytype.io). Для полного руководства от одного из участников нашего сообщества нажмите [здесь](https://community.anytype.io/t/guide-to-use-anytype-on-a-chromebook/12181).

</details>
