---
description: Anytype доступен на Mac, Windows, Linux, iOS и Android.
---

# Функции

### Сравнение приложений

Для сравнения Anytype и Notion ознакомьтесь с нашей статьей:

{% embed url="https://blog.anytype.io/notion-alternative/" %}

Или, если вас интересуют различия между Evernote и Anytype, прочитайте другую статью на нашем блоге:

{% embed url="https://blog.anytype.io/evernote-alternative/" %}

### Весьма запрашиваемые функции

{% hint style="info" %}
Полный список нашего плана развития вы можете найти [здесь](https://github.com/orgs/anyproto/projects/1/views/1).
{% endhint %}

* API и плагины
* Публикация в веб
* Формулы
* Напоминания и уведомления
* AI ассистент
* Транслюзия
* Доска/канвас
* Веб-приложение
* Улучшенная система тегов

#### Реализовано

* Календарь - [0.36.0](https://community.anytype.io/t/anytype-desktop-0-36-0-released/12198)
* Веб-клиппер - 0.39.0 ([Chrome](https://chromewebstore.google.com/detail/anytype-web-clipper/jbnammhjiplhpjfncnlejjjejghimdkf?hl=en))
* Совместная работа - [0.40.0](https://community.anytype.io/t/anytype-desktop-0-40-0-multiplayer-released/20219)
* Inline Latex - [0.42.0](https://community.anytype.io/t/anytype-desktop-0-42-0-released/22993#p-83725-inline-latex-scientist-5)

### Функции мобильной версии

Ниже представлен список функций и их статус реализации по платформам. Все указанные функции реализованы на десктопной версии 0.40.\*, а для сравнения используются мобильные версии 0.29.\*.

{% tabs %}
{% tab title="Хранилище" %}
| Функция/Действие              | iOS | Android |
| ----------------------------- | --- | ------- |
| Проверка орфографии            | Нет | Нет     |
| Светлая/тёмная тема            | Да  | Да      |
| Обои                           | Да  | Да      |
| Тип объекта по умолчанию       | Да  | Да      |
| Пин-код                        | Нет | Нет     |
| Удаление хранилища             | Да  | Да      |
| Notion                         | Нет | Нет     |
| Markdown                       | Нет | Нет     |
| Всплывающие подсказки          | Нет | Нет     |
| Опросы обратной связи в приложении | Нет | Нет  |
| Меню помощи                    | Нет | Нет     |
| История версий объекта         | Нет | Нет     |
| Статус синхронизации объекта   | Да  | Да      |
{% endtab %}

{% tab title="Навигация" %}
| Функция/Действие               | iOS | Android |
| ------------------------------ | --- | ------- |
| Сочетания клавиш               | Нет | Нет     |
| Меню навигации (обратные ссылки) | Нет | Нет   |
| Виджеты                        | Да  | Да      |
| Граф                           | Нет | Нет     |
| Глобальный поиск               | Да  | Да      |
| Поиск по объектам (Ctrl + F)   | Нет | Да      |
| Боковая панель                 | Нет | Нет     |
{% endtab %}

{% tab title="Редактор" %}
| Функция/Действие                           | iOS | Android |
| ------------------------------------------ | --- | ------- |
| Markdown                                   | Нет | Нет     |
| Экспорт в PDF, Markdown, HTML, Protobuf    | Нет | Нет     |
| История версий                             | Нет | Нет     |
| Цвет текста                                | Да  | Да      |
| Цвет фона текста                           | Да  | Да      |
| Цвет заголовка                             | Да  | Да      |
| Цвет фона заголовка                        | Да  | Да      |
| Перетаскивание блоков                      | Да  | Да      |
| Установка типа                             | Да  | Да      |
| Создание пользовательского типа            | Нет | Нет     |
| Установка отношения                        | Да  | Да      |
| Создание пользовательского отношения       | Да  | Да      |
| Изменение типа объекта                     | Да  | Да      |
| Преобразование текстового блока в объект   | Нет | Нет     |
{% endtab %}

{% tab title="Блоки" %}
| Функция/Действие    | iOS   | Android |
| ------------------- | ----- | ------- |
| Текст               | Да    | Да      |
| Заголовок           | Да    | Да      |
| Подзаголовок        | Да    | Да      |
| Выделение           | Да    | Да      |
| Callout             | Да    | Да      |
| Чекбокс             | Да    | Да      |
| Маркированный список| Да    | Да      |
| Нумерованный список | Да    | Да      |
| Переключение        | Да    | Да      |
| Файлы               | Да    | Да      |
| Изображения         | Да    | Да      |
| Видео               | Да    | Да      |
| Аудио               | Да    | Да      |
| PDF                 | Да    | Да      |
| Закладки            | Да    | Да      |
| Код                 | Да    | Да      |
| LaTeX               | Нет   | Нет     |
| Разделитель (линия) | Да    | Да      |
| Разделитель (точки) | Да    | Да      |
| Простая таблица     | Да    | Да      |
| Inline Set          | Поддерживается | Поддерживается |
| Ссылка на объекты   | Да    | Да      |
| Отношение           | Да    | Да      |
| Вставка             | Нет   | Нет     |
{% endtab %}

{% tab title="Библиотека" %}
| Функция/Действие                     | iOS   | Android   |
| ------------------------------------ | ----- | --------- |
| Библиотека                           | Нет   | Да        |
| Редактирование и удаление типа (имя, шаблоны) | Нет | Только тип |
| Редактирование и удаление отношений  | Нет   | Да        |
| Создание, удаление шаблона           | Нет   | Нет       |
| Редактирование шаблона               | Да    | Да        |
| Применение шаблона по умолчанию       | Да    | Да        |
| Создание тега                        | Да    | Да        |
{% endtab %}

{% tab title="Наборы" %}
| Функция/Действие          | iOS   | Android |
| ------------------------- | ----- | ------- |
| Вид сетки                 | Да    | Да      |
| Вид списка                | Да    | Да      |
| Галерея                   | Да    | Да      |
| Канбан                    | Нет   | Нет     |
| Календарь                 | Нет   | Нет     |
| Добавление нового вида    | Да    | Да      |
| Добавление нового объекта | Да    | Да      |
| Сортировка и фильтрация   | Да    | Да      |
| Поиск в наборе            | Нет   | Нет     |
| Массовый выбор            | Нет   | Нет     |
| Набор по отношению        | Да    | Да      |
{% endtab %}
{% endtabs %}
