# Устранение неполадок

Если вы столкнулись с ошибкой, попробуйте выполнить следующие действия, прежде чем обращаться на [форум](https://community.anytype.io/) или в [поддержку](mailto:support@anytype.io).

1. Убедитесь, что время на вашем компьютере установлено правильно. Если локальное время отличается на более чем 2 часа, подключение может быть невозможно.
2. Проверьте, используете ли вы прокси, VPN, файервол или корпоративную сеть для подключения. Если да, попробуйте подключиться без них, чтобы увидеть разницу.
3. Попробуйте подключиться вне корпоративных сетей или аналогичных настроек.
4. Используйте мобильное устройство как точку доступа Wi-Fi для настольного компьютера и попробуйте подключиться через него.
5. Попробуйте войти с другого устройства (и сети).
6. Для пользователей iOS проверьте, становится ли статус синхронизации зелёным. Если нет, попробуйте подключиться через другие сети.
7. Если у вас возникают графические проблемы, попробуйте удалить папку GPUCache в \~/.config/anytype.

Для более специфических проблем:

<details>

<summary>Как восстановить данные после подозрения на повреждение базы данных (Windows 11)?</summary>

Актуальное руководство на форуме можно найти [здесь](https://community.anytype.io/t/how-to-recover-data-in-anytype-on-windows-11-after-a-suspected-database-corruption/12755).

***

Если у вас возникли проблемы с Anytype, например, после внезапного отключения питания, и вы подозреваете повреждение базы данных, выполните следующие шаги, чтобы восстановить данные:

**Шаг 1:** Найдите данные аккаунта Anytype

1. Откройте Проводник: Нажмите `Win + E`, чтобы открыть Проводник.
2. Доступ к папке AppData: В адресной строке введите `%AppData%` и нажмите `Enter`. Это откроет папку `Roaming` внутри `AppData`.
3. Перейдите в папку данных Anytype: Перейдите в папку Anytype по следующему пути:
4. `Anytype > data > <accountId>` или `Anytype > beta > data > <accountId>`, если вы используете Pre-release(beta) канал в Anytype.
5. Замените `<accountId>` на свой конкретный идентификатор аккаунта.

**Шаг 2:** Переименуйте базу данных Localstore

1. Найдите папку Localstore: В папке данных Anytype найдите папку под названием `localstore`.
2. Переименуйте папку Localstore: Щёлкните правой кнопкой мыши на папку `localstore` и выберите «Переименовать». Измените название на что-то вроде `localstore_backup`. Это позволит Anytype создать новую базу данных localstore при следующем запуске, сохранив ваши старые данные в переименованной папке.

**Шаг 3:** Перезапустите Anytype

1. Запустите Anytype: Откройте приложение Anytype на вашем компьютере.
2. Проверьте нормальную работу: Anytype должен запуститься без проблем и создать новую базу данных localstore автоматически.

Если после этих шагов Anytype всё ещё не запускается, возможно, повреждена база данных spacestore. Пожалуйста, обратитесь к инструкциям ниже.

</details>

<details>

<summary>Инструмент для устранения ошибки «Anytype Helper Crashed»</summary>

Актуальное руководство на форуме можно найти [здесь](https://community.anytype.io/t/a-tool-to-fix-the-anytype-helper-crashed-issue/13653).

***

Некоторые пользователи Windows сталкиваются с частыми сбоями в приложении Anytype, что препятствует доступу к их аккаунтам. Эта проблема часто возникает после неожиданного отключения питания или неправильного завершения работы, что приводит к повреждению базы данных.

Ошибка будет автоматически исправлена в ближайшем обновлении Anytype. Однако для тех, кто хочет решить проблему самостоятельно, можно использовать этот инструмент.

***

### **Инструкции по исправлению повреждённой базы данных:** <a href="#instructions-to-fix-the-corrupted-db-1" id="instructions-to-fix-the-corrupted-db-1"></a>

_Для пользователей Windows_\
**Шаг 1: Загрузка Badger**

* Перейдите на [Release v0.0.4 · anyproto/badger · GitHub](https://github.com/anyproto/badger/releases/tag/v0.0.4)
* Скачайте версию Badger для Windows.

**Шаг 2: Доступ к PowerShell**

* Откройте PowerShell: Нажмите клавишу Windows + X и выберите «Windows PowerShell» из меню. Также можно найти PowerShell через поиск в меню Пуск.

**Шаг 3: Запуск Badger**

* Перейдите в папку Загрузок и откройте badger. Это откроет PowerShell.
* В окне PowerShell используйте команду `cd`, чтобы перейти в каталог, куда вы скачали badger.exe. Например, если это папка Загрузки, введите `cd Downloads`.
* Запустите Badger: выполните следующую команду:

`.\badger.exe --dir <spacestore_db_path> fix`

* Замените “spacestore\_db\_path” на фактический путь к вашей базе данных spacestore.

**Нахождение AppData для приложения “anytype”:**

Приложение “anytype” (будучи приложением на базе Electron) хранит свои данные в папке AppData на вашем компьютере с Windows. Чтобы найти её:

* Откройте Проводник: Нажмите клавишу Windows + E.
* Доступ к AppData: Введите %AppData% в адресной строке Проводника и нажмите Enter. Это приведёт вас в папку C:\Users\[ВашеИмя]\AppData\Roaming.
* Найдите папку Anytype: В папке Roaming найдите папку под названием “Anytype”. Внутри вы должны найти папку “data”. **(Если вы используете beta-канал, это будет “beta/data/”)**
* Внутри этой папки вы найдёте папку “spacestore”. Вам нужно скопировать (ctrl+c) её путь и вставить его в командную строку, указанную выше, заменив “spacestore\_db\_path”.

Команда должна выглядеть примерно так:\
`.\badger.exe --dir C:\Users\Username1\AppData\Roaming\anytype\data\accountId\spacestore`

***

Этот инструмент создаёт резервную копию повреждённой базы данных перед попыткой её восстановления. Резервная копия будет сохранена в “spacestore\_corrupted\_backup\_”.

***

### Когда/Кому следует использовать этот инструмент: <a href="#whenwho-should-use-this-tool-2" id="whenwho-should-use-this-tool-2"></a>

1. **После BSOD или отключения питания на Windows:**

* Используйте этот инструмент, если сталкиваетесь с Синим Экраном Смерти (BSOD), потерей доступа после сбоя питания или неправильного завершения работы на системе Windows.
* Особенно если приложение не открывается и отображает ошибку.

2. **Пользователи в режиме только локальной работы с ошибкой БД:**

* Пользователи, работающие в режиме только локальной работы, и сталкиваются с ошибкой.

3. **Пользователи, восстанавливающие данные после сбоя узлов:**

* Если пользователи пытались восстановить данные с узлов, особенно с пустой папкой данных или на другом устройстве, и по-прежнему замечают потерю данных (например, отсутствие объектов или изменений).

:octagonal\_sign: **Предосторожность:** Перед использованием инструмента удалите папку “data”\
Корень проблемы может находиться в этой папке по следующим путям:

_Файл > Показать рабочий каталог_ или (`C:\Users\Username1\AppData\Roaming\Anytype`)

* `Anytype/data/<accountID>` для стандартной версии
* `Anytype/beta/data/<accountID>` для _Pre-release_ версии
* `Anytype/alpha/data/<accountID>` для _Alpha_ (внутренней) версии
</details>
